com.jscape.inet.mft

## Class FileRecordStoreServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.DatastoreServiceDescriptor
      - - com.jscape.inet.mft.FileRecordStoreServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class FileRecordStoreServiceDescriptor
      extends DatastoreServiceDescriptor

  File record store service descriptor. The service described by this descriptor takes responsibility for storing/accessing accounts and groups in separated files.
  Author:
    Alex
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileRecordStoreServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `FileRecordStoreServiceDescriptor(FileRecordStoreServiceDescriptor that)`
    `FileRecordStoreServiceDescriptor(java.lang.String directory)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getDirectory()` Returns datastore directory.
    `int` | `hashCode()`
    `void` | `setDirectory(java.lang.String value)` Sets datastore directory.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileRecordStoreServiceDescriptor

          public FileRecordStoreServiceDescriptor(java.lang.String directory)

      Creates a new descriptor instance.
      Parameters:
        `directory` - store directory

    - #### FileRecordStoreServiceDescriptor

          public FileRecordStoreServiceDescriptor(FileRecordStoreServiceDescriptor that)

    - #### FileRecordStoreServiceDescriptor

          public FileRecordStoreServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getDirectory

          public java.lang.String getDirectory()

      Returns datastore directory.
      Returns:
        datastore directory

    - #### setDirectory

          public void setDirectory(java.lang.String value)

      Sets datastore directory.
      Parameters:
        `value` - datastore directory

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved